dvb_desc_t2_delivery_cell Struct Reference
Parsers for several MPEG-TS descriptors

Structure to describe transponder cells. More...

`#include <desc_t2_delivery.h>`

## Data Fields

uint16_t | cell_id
int | num_freqs
uint32_t * | centre_frequency
uint8_t | subcel_length
struct dvb_desc_t2_delivery_subcell * | subcel

## Detailed Description

Structure to describe transponder cells.

Parameters

  cell_id | cell id extension
  num_freqs | number of cell frequencies
  centre_frequency | pointer to centre frequencies
  subcel_length | number of subcells. May be zero
  subcell | pointer to subcell array. May be NULL

Definition at line 86 of file desc_t2_delivery.h.

## Field Documentation

## cell_id

uint16_t dvb_desc_t2_delivery_cell::cell_id

Definition at line 87 of file desc_t2_delivery.h.

## centre_frequency

uint32_t* dvb_desc_t2_delivery_cell::centre_frequency

Definition at line 89 of file desc_t2_delivery.h.

## num_freqs

int dvb_desc_t2_delivery_cell::num_freqs

Definition at line 88 of file desc_t2_delivery.h.

## subcel

struct dvb_desc_t2_delivery_subcell* dvb_desc_t2_delivery_cell::subcel

Definition at line 91 of file desc_t2_delivery.h.

## subcel_length

uint8_t dvb_desc_t2_delivery_cell::subcel_length

Definition at line 90 of file desc_t2_delivery.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_t2_delivery.h